%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   ZopeInterface
%define modv   3.6.3


Summary:       Interfaces for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       ZPLv21
Group:         Development/Libraries
Source0:       http://pypi.python.org/packages/source/z/zope.interface/zope.interface-%{modv}.tar.gz
Patch0:        %{modn}-3.3.0-test_import.patch
URL:           http://pypi.python.org/pypi/zope.interface/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Zope Foundation and Contributors <zope-dev@zope.org>
Provides:      python(%{modn}) = %{modv}
Provides:      python(zope.interface) = %{modv}
BuildRequires: python-devel >= 2.4 python-setuptools


%description
zope.interface provides an implementation of object interfaces for Python.
Interfaces are a mechanism for labeling objects as conforming to a given
API or contract. So, this package can be considered as implementation of
the Design By Contract methodology support in Python.


%prep
%setup -q -n zope.interface-%{modv}
%patch0 -p1


%build
%{__python} setup.py build


%check
%{__python} test.py


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python} setup.py install \
	--skip-build -O1     \
	--root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%{python_sitearch}/zope
%{python_sitearch}/*.egg-info
%{python_sitearch}/*nspkg.pth


%changelog
* Mon Jun 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 3.6.3-1
- New version (3.6.3)

* Mon May 23 2011 Peter Pramberger <peterpramb@member.fsf.org> - 3.6.2-1
- New version (3.6.2)

* Thu Feb 10 2011 Peter Pramberger <peterpramb@member.fsf.org> - 3.6.1-1
- New version (3.6.1)

* Mon Nov 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 3.3.0-1
- New version (3.3.0)

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 3.0.1-3
- some spec file cleanups (x86_64 support)

* Tue Dec 19 2006 peter.pramberger@member.fsf.org 3.0.1-2
- created
